'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _path3, _g, _path4, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgNepalCircled = function SvgNepalCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "NepalCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#NepalCircled_svg__b)",
    mask: "url(#NepalCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "NepalCircled_svg__c",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#NepalCircled_svg__c)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "NepalCircled_svg__d",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#NepalCircled_svg__d)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#CE0000",
    d: "M1.584 46.416h34.033L13.345 23.829l23.116.027L1.593 1.584v44.832z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000063",
    d: "m1.009.518 37.455 23.925-23.722-.028L37.012 47H1.585v-.584h-.575zm1.168 45.314H34.22L11.947 23.244l22.512.026L2.177 2.65z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "m17.235 34.404-2.426.808 1.905 1.78-2.56-.162 1.05 2.354-2.29-1.105.044 2.569-1.689-1.878-.961 2.39-.827-2.363-1.824 1.851.162-2.489-2.417 1.025 1.132-2.246-2.632.053 1.932-1.644-2.453-.943 2.426-.809-1.914-1.779 2.552.162-1.043-2.354 2.3 1.105-.045-2.57 1.69 1.879.96-2.39.818 2.363 1.833-1.851-.17 2.488 2.425-1.024-1.14 2.246 2.64-.054-1.931 1.645zM14.324 17.81l-1.015.755.503.413a8.4 8.4 0 0 0 2.758-3.235c.162 1.914-1.59 6.2-6.172 6.245a6.343 6.343 0 0 1-6.424-6.316c.898 1.635 1.455 2.425 2.875 3.279l.422-.396-.952-.8 1.23-.323-.664-1.114 1.294.09-.162-1.294 1.132.665.36-1.213.808.97.764-.925.413 1.258 1.06-.737-.135 1.285 1.276-.152-.602 1.185z"
  }))))), _path4 || (_path4 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "NepalCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgNepalCircled;
